Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Class FavoritesVFS.Favorite

    java.lang.Object
      org.gjt.sp.jedit.io.VFSFile
          org.gjt.sp.jedit.io.FavoritesVFS.Favorite

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FavoritesVFS

    public static class FavoritesVFS.Favorite

extends VFSFile

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gjt.sp.jedit.io.VFSFile
`color, colorCalculated, DIRECTORY, FILE, FILESYSTEM`

Method Summary
`java.lang.String` | `getExtendedAttribute(java.lang.String name)` Returns the value of an extended attribute.
`java.lang.String` | `getLabel()`
`VFS` | `getVFS()`

Methods inherited from class org.gjt.sp.jedit.io.VFSFile
`fetchAttrs, fetchedAttrs, findCompletion, findCompletion, getColor, getDefaultIcon, getDefaultIcon, getDeletePath, getIcon, getIcon, getLength, getName, getPath, getSymlinkPath, getType, isBinary, isHidden, isReadable, isWriteable, setDeletePath, setHidden, setLength, setName, setPath, setReadable, setSymlinkPath, setType, setWriteable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLabel

    public java.lang.String getLabel()

### getExtendedAttribute

    public java.lang.String getExtendedAttribute(java.lang.String name)

  Description copied from class: `VFSFile`
  Returns the value of an extended attribute. Note that this returns formatted strings (eg, "10 Mb" for a file size of 1048576 bytes). If you need access to the raw data, access fields and methods of this class.

  Overrides:
    `getExtendedAttribute` in class `VFSFile`
  Parameters:
    `name` - The extended attribute name

### getVFS

    public VFS getVFS()

  Overrides:
    `getVFS` in class `VFSFile`
  Returns:
    The originating virtual file system of this file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD